diff -urN ../VisualBoyAdvance-1.7.2/win32/dependencies/cximage/xiofile.h ./win32/dependencies/cximage/xiofile.h
--- ../VisualBoyAdvance-1.7.2/win32/dependencies/cximage/xiofile.h	1970-01-01 09:00:00 +0900
+++ ./win32/dependencies/cximage/xiofile.h	2006-08-24 07:16:03 +0900
@@ -0,0 +1,112 @@
+#if !defined(__xiofile_h)
+#define __xiofile_h
+
+#include "xfile.h"
+
+class DLL_EXP CxIOFile : public CxFile
+	{
+public:
+	CxIOFile(FILE* fp = NULL)
+	{
+		m_fp = fp;
+		m_bCloseFile = (bool)(fp==0);
+	}
+
+	~CxIOFile()
+	{
+		Close();
+	}
+//////////////////////////////////////////////////////////
+	bool Open(const char *filename, const char *mode)
+	{
+		if (m_fp) return false;	// Can't re-open without closing first
+
+		m_fp = fopen(filename, mode);
+		if (!m_fp) return false;
+
+		m_bCloseFile = true;
+
+		return true;
+	}
+//////////////////////////////////////////////////////////
+	virtual bool Close()
+	{
+		int iErr = 0;
+		if ( (m_fp) && (m_bCloseFile) ){ 
+			iErr = fclose(m_fp);
+			m_fp = NULL;
+		}
+		return (bool)(iErr==0);
+	}
+//////////////////////////////////////////////////////////
+	virtual size_t	Read(void *buffer, size_t size, size_t count)
+	{
+		if (!m_fp) return 0;
+		return fread(buffer, size, count, m_fp);
+	}
+//////////////////////////////////////////////////////////
+	virtual size_t	Write(const void *buffer, size_t size, size_t count)
+	{
+		if (!m_fp) return 0;
+		return fwrite(buffer, size, count, m_fp);
+	}
+//////////////////////////////////////////////////////////
+	virtual bool Seek(long offset, int origin)
+	{
+		if (!m_fp) return false;
+		return (bool)(fseek(m_fp, offset, origin) == 0);
+	}
+//////////////////////////////////////////////////////////
+	virtual long Tell()
+	{
+		if (!m_fp) return 0;
+		return ftell(m_fp);
+	}
+//////////////////////////////////////////////////////////
+	virtual long	Size()
+	{
+		if (!m_fp) return -1;
+		long pos,size;
+		pos = ftell(m_fp);
+		fseek(m_fp, 0, SEEK_END);
+		size = ftell(m_fp);
+		fseek(m_fp, pos,SEEK_SET);
+		return size;
+	}
+//////////////////////////////////////////////////////////
+	virtual bool	Flush()
+	{
+		if (!m_fp) return false;
+		return (bool)(fflush(m_fp) == 0);
+	}
+//////////////////////////////////////////////////////////
+	virtual bool	Eof()
+	{
+		if (!m_fp) return true;
+		return (bool)(feof(m_fp) != 0);
+	}
+//////////////////////////////////////////////////////////
+	virtual long	Error()
+	{
+		if (!m_fp) return -1;
+		return ferror(m_fp);
+	}
+//////////////////////////////////////////////////////////
+	virtual bool PutC(unsigned char c)
+	{
+		if (!m_fp) return false;
+		return (bool)(fputc(c, m_fp) == c);
+	}
+//////////////////////////////////////////////////////////
+	virtual long	GetC()
+	{
+		if (!m_fp) return EOF;
+		return getc(m_fp);
+	}
+//////////////////////////////////////////////////////////
+protected:
+	FILE *m_fp;
+	bool m_bCloseFile;
+	};
+
+#endif
diff -urN ../VisualBoyAdvance-1.7.2/win32/dependencies/cximage/xmemfile.cpp ./win32/dependencies/cximage/xmemfile.cpp
--- ../VisualBoyAdvance-1.7.2/win32/dependencies/cximage/xmemfile.cpp	1970-01-01 09:00:00 +0900
+++ ./win32/dependencies/cximage/xmemfile.cpp	2006-08-24 07:16:03 +0900
@@ -0,0 +1,173 @@
+#include "xmemfile.h"
+
+//////////////////////////////////////////////////////////
+CxMemFile::CxMemFile(BYTE* pBuffer, DWORD size)
+{
+	m_pBuffer = pBuffer;
+	m_Position = 0;
+	m_Size = m_Edge = size;
+	m_bFreeOnClose = (bool)(pBuffer==0);
+}
+//////////////////////////////////////////////////////////
+CxMemFile::~CxMemFile()
+{
+	Close();
+}
+//////////////////////////////////////////////////////////
+bool CxMemFile::Close()
+{
+	if ( (m_pBuffer) && (m_bFreeOnClose) ){
+		free(m_pBuffer);
+		m_pBuffer = NULL;
+		m_Size = 0;
+	}
+	return true;
+}
+//////////////////////////////////////////////////////////
+bool CxMemFile::Open()
+{
+	if (m_pBuffer) return false;	// Can't re-open without closing first
+
+	m_Position = m_Size = m_Edge = 0;
+	m_pBuffer=(BYTE*)malloc(1);
+	m_bFreeOnClose = true;
+
+	return (m_pBuffer!=0);
+}
+//////////////////////////////////////////////////////////
+BYTE* CxMemFile::GetBuffer(bool bDetachBuffer)
+{
+	m_bFreeOnClose = !bDetachBuffer;
+	return m_pBuffer;
+}
+//////////////////////////////////////////////////////////
+size_t CxMemFile::Read(void *buffer, size_t size, size_t count)
+{
+	if (buffer==NULL) return 0;
+
+	if (m_pBuffer==NULL) return 0;
+	if (m_Position >= (long)m_Size) return 0;
+
+	long nCount = (long)(count*size);
+	if (nCount == 0) return 0;
+
+	long nRead;
+	if (m_Position + nCount > (long)m_Size)
+		nRead = (m_Size - m_Position);
+	else
+		nRead = nCount;
+
+	memcpy(buffer, m_pBuffer + m_Position, nRead);
+	m_Position += nRead;
+
+	return (size_t)(nRead/size);
+}
+//////////////////////////////////////////////////////////
+size_t CxMemFile::Write(const void *buffer, size_t size, size_t count)
+{
+	if (m_pBuffer==NULL) return 0;
+	if (buffer==NULL) return 0;
+
+	long nCount = (long)(count*size);
+	if (nCount == 0) return 0;
+
+	if (m_Position + nCount > m_Edge) Alloc(m_Position + nCount);
+
+	memcpy(m_pBuffer + m_Position, buffer, nCount);
+
+	m_Position += nCount;
+
+	if (m_Position > (long)m_Size) m_Size = m_Position;
+	
+	return count;
+}
+//////////////////////////////////////////////////////////
+bool CxMemFile::Seek(long offset, int origin)
+{
+	if (m_pBuffer==NULL) return false;
+	long lNewPos = m_Position;
+
+	if (origin == SEEK_SET)		 lNewPos = offset;
+	else if (origin == SEEK_CUR) lNewPos += offset;
+	else if (origin == SEEK_END) lNewPos = m_Size + offset;
+	else return false;
+
+	if (lNewPos < 0) lNewPos = 0;
+
+	m_Position = lNewPos;
+	return true;
+}
+//////////////////////////////////////////////////////////
+long CxMemFile::Tell()
+{
+	if (m_pBuffer==NULL) return -1;
+	return m_Position;
+}
+//////////////////////////////////////////////////////////
+long CxMemFile::Size()
+{
+	if (m_pBuffer==NULL) return -1;
+	return m_Size;
+}
+//////////////////////////////////////////////////////////
+bool CxMemFile::Flush()
+{
+	if (m_pBuffer==NULL) return false;
+	return true;
+}
+//////////////////////////////////////////////////////////
+bool CxMemFile::Eof()
+{
+	if (m_pBuffer==NULL) return true;
+	return (m_Position >= (long)m_Size);
+}
+//////////////////////////////////////////////////////////
+long CxMemFile::Error()
+{
+	if (m_pBuffer==NULL) return -1;
+	return (m_Position > (long)m_Size);
+}
+//////////////////////////////////////////////////////////
+bool CxMemFile::PutC(unsigned char c)
+{
+	if (m_pBuffer==NULL) return false;
+	if (m_Position + 1 > m_Edge) Alloc(m_Position + 1);
+
+	memcpy(m_pBuffer + m_Position, &c, 1);
+
+	m_Position += 1;
+
+	if (m_Position > (long)m_Size) m_Size = m_Position;
+	
+	return true;
+}
+//////////////////////////////////////////////////////////
+long CxMemFile::GetC()
+{
+	if (Eof()) return EOF;
+	return *(BYTE*)((BYTE*)m_pBuffer + m_Position++);
+}
+//////////////////////////////////////////////////////////
+void CxMemFile::Alloc(DWORD dwNewLen)
+{
+	if (dwNewLen > (DWORD)m_Edge)
+	{
+		// find new buffer size
+		DWORD dwNewBufferSize = (DWORD)(((dwNewLen>>12)+1)<<12);
+
+		// allocate new buffer
+		if (m_pBuffer == NULL) m_pBuffer = (BYTE*)malloc(dwNewBufferSize);
+		else	m_pBuffer = (BYTE*)realloc(m_pBuffer, dwNewBufferSize);
+		// I own this buffer now (caller knows nothing about it)
+		m_bFreeOnClose = true;
+
+		m_Edge = dwNewBufferSize;
+	}
+	return;
+}
+//////////////////////////////////////////////////////////
+void CxMemFile::Free()
+{
+	Close();
+}
+//////////////////////////////////////////////////////////
diff -urN ../VisualBoyAdvance-1.7.2/win32/dependencies/cximage/xmemfile.h ./win32/dependencies/cximage/xmemfile.h
--- ../VisualBoyAdvance-1.7.2/win32/dependencies/cximage/xmemfile.h	1970-01-01 09:00:00 +0900
+++ ./win32/dependencies/cximage/xmemfile.h	2006-08-24 07:16:03 +0900
@@ -0,0 +1,39 @@
+#if !defined(__xmemfile_h)
+#define __xmemfile_h
+
+#include "xfile.h"
+
+//////////////////////////////////////////////////////////
+class DLL_EXP CxMemFile : public CxFile
+{
+public:
+	CxMemFile(BYTE* pBuffer = NULL, DWORD size = 0);
+	~CxMemFile();
+
+	bool Open();
+	BYTE* GetBuffer(bool bDetachBuffer = true);
+
+	virtual bool	Close();
+	virtual size_t	Read(void *buffer, size_t size, size_t count);
+	virtual size_t	Write(const void *buffer, size_t size, size_t count);
+	virtual bool	Seek(long offset, int origin);
+	virtual long	Tell();
+	virtual long	Size();
+	virtual bool	Flush();
+	virtual bool	Eof();
+	virtual long	Error();
+	virtual bool	PutC(unsigned char c);
+	virtual long	GetC();
+
+protected:
+	void	Alloc(DWORD nBytes);
+	void	Free();
+
+	BYTE*	m_pBuffer;
+	DWORD	m_Size;
+	bool	m_bFreeOnClose;
+	long	m_Position;	//current position
+	long	m_Edge;		//buffer size
+};
+
+#endif
diff -urN ../VisualBoyAdvance-1.7.2/win32/dependencies/libpng/.cvsignore ./win32/dependencies/libpng/.cvsignore
--- ../VisualBoyAdvance-1.7.2/win32/dependencies/libpng/.cvsignore	1970-01-01 09:00:00 +0900
+++ ./win32/dependencies/libpng/.cvsignore	2006-05-14 01:41:48 +0900
@@ -0,0 +1,3 @@
+release
+libpng.vcproj.A2.Spacy.user
+debug
\ No newline at end of file
diff -urN ../VisualBoyAdvance-1.7.2/win32/dependencies/libpng/libpng.vcproj ./win32/dependencies/libpng/libpng.vcproj
--- ../VisualBoyAdvance-1.7.2/win32/dependencies/libpng/libpng.vcproj	1970-01-01 09:00:00 +0900
+++ ./win32/dependencies/libpng/libpng.vcproj	2006-08-24 07:13:29 +0900
@@ -0,0 +1,238 @@
+﻿<?xml version="1.0" encoding="UTF-8"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8,00"
+	Name="libpng"
+	ProjectGUID="{96E945F7-0377-48DA-A5F8-1C192DE9F25F}"
+	RootNamespace="libpng"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="4"
+			CharacterSet="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="..\zlib"
+				PreprocessorDefinitions="WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="1"
+				EnableEnhancedInstructionSet="1"
+				DisableLanguageExtensions="true"
+				UsePrecompiledHeader="0"
+				WarningLevel="1"
+				Detect64BitPortabilityProblems="false"
+				DebugInformationFormat="4"
+				CompileAs="1"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				AdditionalOptions="/MACHINE:X86"
+				AdditionalLibraryDirectories=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="4"
+			CharacterSet="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories="..\zlib"
+				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE"
+				RuntimeLibrary="0"
+				EnableEnhancedInstructionSet="1"
+				DisableLanguageExtensions="true"
+				UsePrecompiledHeader="0"
+				WarningLevel="1"
+				Detect64BitPortabilityProblems="false"
+				DebugInformationFormat="3"
+				CompileAs="1"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+				AdditionalOptions="/MACHINE:X86"
+				AdditionalLibraryDirectories=""
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath=".\png.h"
+				>
+			</File>
+			<File
+				RelativePath=".\pngconf.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath=".\png.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngerror.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngget.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngmem.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngpread.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngread.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngrio.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngrtran.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngrutil.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngset.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngtrans.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngwio.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngwrite.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngwtran.c"
+				>
+			</File>
+			<File
+				RelativePath=".\pngwutil.c"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
